## kdevelop-php 1.7.0

=== CMakeLists.txt ===
PROJECT(php)

cmake_minimum_required(VERSION 2.8.9)

set(KDEVPHP_VERSION_MAJOR 1)
set(KDEVPHP_VERSION_MINOR 7)
set(KDEVPHP_VERSION_PATCH 0)
# KDevplatform dependency version
set( KDEVPLATFORM_VERSION "1.${KDEVPHP_VERSION_MINOR}.${KDEVPHP_VERSION_PATCH}" )

configure_file( "${php_SOURCE_DIR}/kdevphpversion.h.cmake" "${php_BINARY_DIR}/kdevphpversion.h" @ONLY )

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${php_SOURCE_DIR}/cmake/)
enable_testing()

#To properly find kdevelop-pg add -DKDEVPG_DATA_DIR=<kdevpg-install-path>/share to the
#cmake run if you installed it in a different directory than this plugin
#TODO: a cmake run is needed after changing one of the CMakeLists.txt, make will
#complain about the FindKDevelop-PG.cmake file not findable.
find_package(KDE4 REQUIRED)

find_package(KDevPlatform ${KDEVPLATFORM_VERSION} REQUIRED)
include_directories(${KDEVPLATFORM_INCLUDE_DIR})

include_directories(
    ${KDE4_INCLUDES}
    ${KDE4_INCLUDE_DIR}/threadweaver
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/duchain
    ${CMAKE_CURRENT_SOURCE_DIR}/parser
    ${CMAKE_CURRENT_BINARY_DIR}/parser
)

add_definitions( -DKDE_DEFAULT_DEBUG_AREA=9043 )

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID STREQUAL "Clang" OR CMAKE_CXX_COMPILER_ID STREQUAL "Intel")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
endif()

find_package(KDevelop-PG-Qt REQUIRED)

include_directories(
    ${CMAKE_BINARY_DIR}/parser
    ${KDEVPGQT_INCLUDE_DIR}
)

add_subdirectory(app_templates)
add_subdirectory(parser)
add_subdirectory(duchain)
add_subdirectory(completion)
add_subdirectory(testprovider)

set(kdevphplanguagesupport_PART_SRCS
    phplanguagesupport.cpp
    phpparsejob.cpp
    phphighlighting.cpp

    codegen/refactoring.cpp
)

kde4_add_plugin(kdevphplanguagesupport ${kdevphplanguagesupport_PART_SRCS})

target_link_libraries(kdevphplanguagesupport
    ${KDE4_KDEUI_LIBS}
    ${KDEVPLATFORM_INTERFACES_LIBRARIES}
    ${KDEVPLATFORM_LANGUAGE_LIBRARIES}
    ${KDE4_THREADWEAVER_LIBRARIES}
    ${KDE4_KTEXTEDITOR_LIBS}
    kdev4phpduchain
    kdev4phpparser
    kdev4phpcompletion
)

install(TARGETS kdevphplanguagesupport DESTINATION ${PLUGIN_INSTALL_DIR})

configure_file(kdevphpsupport.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdevphpsupport.desktop)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kdevphpsupport.desktop DESTINATION ${SERVICES_INSTALL_DIR})
# not writeable so that the refactoring actions get hidden
install(FILES phpfunctions.php DESTINATION ${DATA_INSTALL_DIR}/kdevphpsupport PERMISSIONS OWNER_READ GROUP_READ WORLD_READ)

include(CTest)

# CTestCustom.cmake has to be in the CTEST_BINARY_DIR.
# in the KDE build system, this is the same as CMAKE_BINARY_DIR.
configure_file(${CMAKE_SOURCE_DIR}/CTestCustom.cmake ${CMAKE_BINARY_DIR}/CTestCustom.cmake)

include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(zh_CN)
add_subdirectory(pl)
add_subdirectory(pt_BR)
add_subdirectory(bs)
add_subdirectory(nl)
add_subdirectory(es)
add_subdirectory(pt)
add_subdirectory(sk)
add_subdirectory(zh_TW)
add_subdirectory(et)
add_subdirectory(it)
add_subdirectory(gl)
add_subdirectory(ru)
add_subdirectory(kk)
add_subdirectory(sl)
add_subdirectory(ca)
add_subdirectory(sv)
add_subdirectory(de)
add_subdirectory(uk)
add_subdirectory(fr)
add_subdirectory(ca@valencia)
add_subdirectory(da)
add_subdirectory(fi)
add_subdirectory(en_GB)
add_subdirectory(el)

=== debian/changelog ===
kdevelop-php (1.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

  [ Andreas Cord-Landwehr ]
  * Bump kdevplatform-dev build dependency to 1.7.0.
  * Bump kdevelop runtime dependency to 4.7.0.

  [ Pino Toscano ]
  * Prepared for upstream release 1.6.0.

 -- Pino Toscano <pino@debian.org>  Tue, 23 Sep 2014 23:10:18 +0200

=== debian/control ===
Source: kdevelop-php
Section: devel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Andreas Cord-Landwehr <cola@uni-paderborn.de>
Build-Depends: cmake (>= 2.8.0),
               debhelper (>= 9),
               kdevelop-pg-qt (>= 1.0.0),
               kdevplatform-dev (>= 1.7.0),
               pkg-kde-tools (>= 0.6.4)
Standards-Version: 3.9.5
Homepage: http://www.kdevelop.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-std/kdevelop-php.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-std/kdevelop-php.git

Package: kdevelop-php
Architecture: any
Depends: kdevelop (>= 4:4.7.0), ${misc:Depends}, ${shlibs:Depends}
Suggests: kdevelop-php-l10n
Enhances: kdevelop
Description: PHP plugin for KDevelop
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 This package contains the PHP language support plugin.

Package: kdevelop-php-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kdelibs5-dbg, kdevelop-php (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for the KDevelop PHP plugin
 This package contains the debugging symbols of the PHP plugin for KDevelop.
 They will automatically be used by gdb for debugging issues with the PHP
 plugin.

Package: kdevelop-php-l10n
Section: localization
Architecture: all
Depends: ${misc:Depends}
Breaks: kdevelop-php-l10n-ca,
        kdevelop-php-l10n-cavalencia,
        kdevelop-php-l10n-da,
        kdevelop-php-l10n-engb,
        kdevelop-php-l10n-es,
        kdevelop-php-l10n-et,
        kdevelop-php-l10n-fr,
        kdevelop-php-l10n-gl,
        kdevelop-php-l10n-it,
        kdevelop-php-l10n-nds,
        kdevelop-php-l10n-nl,
        kdevelop-php-l10n-pt,
        kdevelop-php-l10n-ptbr,
        kdevelop-php-l10n-sv,
        kdevelop-php-l10n-th,
        kdevelop-php-l10n-uk,
        kdevelop-php-l10n-zhcn,
        kdevelop-php-l10n-zhtw
Replaces: kdevelop-php-l10n-ca,
          kdevelop-php-l10n-cavalencia,
          kdevelop-php-l10n-da,
          kdevelop-php-l10n-engb,
          kdevelop-php-l10n-es,
          kdevelop-php-l10n-et,
          kdevelop-php-l10n-fr,
          kdevelop-php-l10n-gl,
          kdevelop-php-l10n-it,
          kdevelop-php-l10n-nds,
          kdevelop-php-l10n-nl,
          kdevelop-php-l10n-pt,
          kdevelop-php-l10n-ptbr,
          kdevelop-php-l10n-sv,
          kdevelop-php-l10n-th,
          kdevelop-php-l10n-uk,
          kdevelop-php-l10n-zhcn,
          kdevelop-php-l10n-zhtw
Description: localization files for KDevelop PHP plugin
 The KDevelop-PHP plugin is the language plugin for the PHP language
 for the KDevelop integrated development environment for KDE.
 .
 This  package contains the localizations for the KDevelop PHP plugin.

=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/stable/kdevelop/([\d.]+)/src/kdevelop-php-([\d.]+).tar.(?:bz2|xz)

## kdevelop-php 1.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 set(KDEVPHP_VERSION_MAJOR 1)
 set(KDEVPHP_VERSION_MINOR 7)
-set(KDEVPHP_VERSION_PATCH 0)
+set(KDEVPHP_VERSION_PATCH 1)
 # KDevplatform dependency version
 set( KDEVPLATFORM_VERSION "1.${KDEVPHP_VERSION_MINOR}.${KDEVPHP_VERSION_PATCH}" )

=== debian/changelog ===
kdevelop-php (1.7.1-0ubuntu1) vivid; urgency=medium

  * Release to Archive 

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Mar 2015 19:05:17 -0700

## kdevelop-php 1.7.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 set(KDEVPHP_VERSION_MAJOR 1)
 set(KDEVPHP_VERSION_MINOR 7)
-set(KDEVPHP_VERSION_PATCH 1)
+set(KDEVPHP_VERSION_PATCH 3)
 # KDevplatform dependency version
 set( KDEVPLATFORM_VERSION "1.${KDEVPHP_VERSION_MINOR}.${KDEVPHP_VERSION_PATCH}" )

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(fi)
add_subdirectory(gl)
add_subdirectory(en_GB)
add_subdirectory(es)
add_subdirectory(et)
add_subdirectory(bs)
add_subdirectory(pt)
add_subdirectory(it)
add_subdirectory(pt_BR)
add_subdirectory(zh_TW)
add_subdirectory(ca)
add_subdirectory(de)
add_subdirectory(ca@valencia)
add_subdirectory(pl)
add_subdirectory(sk)
add_subdirectory(uk)
add_subdirectory(kk)
add_subdirectory(sl)
add_subdirectory(zh_CN)
add_subdirectory(tr)
add_subdirectory(da)
add_subdirectory(sv)
add_subdirectory(el)
add_subdirectory(nl)
add_subdirectory(ru)
add_subdirectory(fr)

=== testprovider/CMakeLists.txt ===

# add_definitions( -DKDE_DEFAULT_DEBUG_AREA=90xx )

########### next target ###############

set(kdevphpunitprovider_PLUGIN_SRCS
    phpunitprovider.cpp
    phpunittestsuite.cpp
    phpunitrunjob.cpp
    testdoxdelegate.cpp
)

kde4_add_plugin(kdevphpunitprovider ${kdevphpunitprovider_PLUGIN_SRCS})
target_link_libraries(kdevphpunitprovider
        ${KDEVPLATFORM_INTERFACES_LIBRARIES}
        ${KDEVPLATFORM_PROJECT_LIBRARIES}
        ${KDEVPLATFORM_OUTPUTVIEW_LIBRARIES}
        ${KDEVPLATFORM_UTIL_LIBRARIES}
        ${KDEVPLATFORM_LANGUAGE_LIBRARIES})

install(TARGETS kdevphpunitprovider DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

configure_file(kdevphpunitprovider.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdevphpunitprovider.desktop)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kdevphpunitprovider.desktop DESTINATION ${SERVICES_INSTALL_DIR})

install( FILES phpunitdeclarations.php DESTINATION ${DATA_INSTALL_DIR}/kdevphpsupport )

=== debian/changelog ===
kdevelop-php (1.7.3-3) unstable; urgency=medium

  * Team upload.
  * Remove kdevelop-php-dbg in favour of the -dbgsym packages.

 -- Pino Toscano <pino@debian.org>  Mon, 06 Jun 2016 22:42:57 +0200

kdevelop-php (1.7.3-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 26 May 2016 20:27:46 -0300

kdevelop-php (1.7.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream release (Closes: #818521).
    - Bump kdevplatform-dev to match the latest release.
  * Improve uscan to search for different compression methods in tarballs
    and to repack the tarball with xz compression if necessary.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Update Vcs-[Browser Git] to their https versions.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 05 May 2016 22:44:33 -0300

kdevelop-php (1.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file.
  * Bump kdevplatform-dev build dependency to >= 1.7.2.
  * Bump Standards-Version to 3.9.6, no changes required.

 -- Pino Toscano <pino@debian.org>  Thu, 21 Jan 2016 22:31:16 +0100

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
 Build-Depends: cmake (>= 2.8.0),
                debhelper (>= 9),
                kdevelop-pg-qt (>= 1.0.0),
-               kdevplatform-dev (>= 1.7.0),
+               kdevplatform-dev (>= 1.7.3~),
                pkg-kde-tools (>= 0.6.4)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://www.kdevelop.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-std/kdevelop-php.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-std/kdevelop-php.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-std/kdevelop-php.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-std/kdevelop-php.git
 
 Package: kdevelop-php
 Architecture: any
@@ -26,16 +26,6 @@
  management, an advanced editor, a class browser and an integrated debugger.
  .
  This package contains the PHP language support plugin.
-
-Package: kdevelop-php-dbg
-Section: debug
-Architecture: any
-Priority: extra
-Depends: kdelibs5-dbg, kdevelop-php (= ${binary:Version}), ${misc:Depends}
-Description: debugging symbols for the KDevelop PHP plugin
- This package contains the debugging symbols of the PHP plugin for KDevelop.
- They will automatically be used by gdb for debugging issues with the PHP
- plugin.
 
 Package: kdevelop-php-l10n
 Section: localization

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --list-missing --with kde

override_dh_strip:
	dh_strip --dbgsym-migration='kdevelop-php-dbg (<< 1.7.3-3~)'

.PHONY: override_dh_auto_test

=== debian/watch ===
version=3
opts="repack,compression=xz"
http://download.kde.org/stable/kdevelop/([\d.]+)/src/kdevelop-php-([\d.]+).tar.(?:xz|bz2|gz)

## kdevelop-php 5.0.3

=== CMakeLists.txt ===
PROJECT(php)

set(KDEVPHP_VERSION_MAJOR 5)
set(KDEVPHP_VERSION_MINOR 0)
set(KDEVPHP_VERSION_PATCH 3)
# KDevplatform dependency version
set( KDEVPLATFORM_VERSION "${KDEVPHP_VERSION_MAJOR}.${KDEVPHP_VERSION_MINOR}.${KDEVPHP_VERSION_PATCH}" )

configure_file( "${php_SOURCE_DIR}/kdevphpversion.h.cmake" "${php_BINARY_DIR}/kdevphpversion.h" @ONLY )

cmake_minimum_required(VERSION 2.8.12)
find_package (ECM 0.0.9 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(GenerateExportHeader)
include(FeatureSummary)

find_package(Qt5 REQUIRED Core Widgets Test WebKitWidgets)
find_package(KF5 REQUIRED COMPONENTS Archive ThreadWeaver TextEditor I18n ItemModels KCMUtils)
find_package(KDevPlatform ${KDEVPLATFORM_VERSION} REQUIRED)
find_package(KDevelop-PG-Qt REQUIRED)

add_definitions( -DKDE_DEFAULT_DEBUG_AREA=9043 )
add_definitions( -DTRANSLATION_DOMAIN=\"kdevphp\" )


include_directories(
    ${KDEVPGQT_INCLUDE_DIR}
)

add_subdirectory(app_templates)
add_subdirectory(parser)
add_subdirectory(duchain)
add_subdirectory(completion)
add_subdirectory(testprovider)
add_subdirectory(docs)

set(kdevphplanguagesupport_PART_SRCS
    phplanguagesupport.cpp
    phpparsejob.cpp
    phphighlighting.cpp
    phpdebug.cpp

    codegen/refactoring.cpp
)

kdevplatform_add_plugin(kdevphplanguagesupport JSON kdevphpsupport.json
    SOURCES ${kdevphplanguagesupport_PART_SRCS})
target_link_libraries(kdevphplanguagesupport
    KDev::Interfaces
    KDev::Language
    kdevphpduchain
    kdevphpparser
    kdevphpcompletion

    KF5::I18n
    KF5::TextEditor
)

# not writeable so that the refactoring actions get hidden
install(FILES phpfunctions.php DESTINATION ${DATA_INSTALL_DIR}/kdevphpsupport PERMISSIONS OWNER_READ GROUP_READ WORLD_READ)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== completion/CMakeLists.txt ===
add_subdirectory(tests)

set(completion_SRCS
    worker.cpp
    item.cpp
    implementationitem.cpp
    includefileitem.cpp
    keyworditem.cpp
    context.cpp
    model.cpp
    helpers.cpp
    codemodelitem.cpp
    completiondebug.cpp
)

add_library( kdevphpcompletion SHARED ${completion_SRCS} )
generate_export_header( kdevphpcompletion EXPORT_MACRO_NAME KDEVPHPCOMPLETION_EXPORT
                                           EXPORT_FILE_NAME phpcompletionexport.h)

target_link_libraries(kdevphpcompletion LINK_PRIVATE
    KDev::Language
    KDev::Interfaces
    KDev::Project
    kdevphpduchain
    kdevphpparser
)

install(TARGETS kdevphpcompletion DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS})

=== duchain/tests/CMakeLists.txt ===
include_directories(${CMAKE_BINARY_DIR}/completion)
ecm_add_test(
    duchain.cpp
    duchaintestbase.cpp
    TEST_NAME duchain
    LINK_LIBRARIES
        kdevphpduchain
        kdevphpparser
        Qt5::Test
        KDev::Tests
        KDev::Language
)

set(expressionparser_SRCS)
ecm_add_test(
    expressionparser.cpp
    duchaintestbase.cpp
    TEST_NAME expressionparser
    LINK_LIBRARIES
        kdevphpduchain
        kdevphpparser
        Qt5::Test
        KDev::Tests
        KDev::Language
)

ecm_add_test(
    uses.cpp
    duchaintestbase.cpp
    TEST_NAME uses
    LINK_LIBRARIES
        kdevphpduchain
        kdevphpparser
        Qt5::Test
        KDev::Tests
        KDev::Language
        KDev::Interfaces
)
ecm_add_test(
    benchmarks.cpp
    duchaintestbase.cpp
    TEST_NAME benchmarks
    LINK_LIBRARIES
        kdevphpduchain
        kdevphpparser
        Qt5::Test
        KDev::Tests
        KDev::Language
        KDev::Interfaces
)

set(duchain_multiplefiles_SRCS
)
ecm_add_test(
    duchain_multiplefiles.cpp
    duchaintestbase.cpp
    TEST_NAME duchain_multiplefiles
    LINK_LIBRARIES
        kdevphpduchain
        kdevphpparser
        Qt5::Test
        KDev::Tests
        KDev::Language
        KDev::Interfaces
)

=== debian/changelog ===
kdevelop-php (5.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Bump kdevplatform build dependency version.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 07 Jan 2017 17:38:00 -0300

kdevelop-php (5.0.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Sep 2016 23:06:22 +0200

kdevelop-php (5.0.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the kdevplatform-dev build dependency to >= 5.0.1.
  * Bump kdevelop dependency in kdevelop-php to >= 5.0.1.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Sep 2016 07:12:54 +0200

kdevelop-php (5.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update/simplify watch file.
  * Update the build dependencies following the port to Frameworks:
    - add extra-cmake-modules, qtbase5-dev, libqt5webkit5-dev,
      libkf5archive-dev, libkf5i18n-dev, libkf5itemmodels-dev,
      libkf5kcmutils-dev, libkf5texteditor-dev, and libkf5threadweaver-dev
  * Bump build dependencies according to the upstream build system:
    - bump cmake to >= 2.8.12
    - bump kdevelop-pg-qt to >= 2.0
    - bump kdevplatform-dev to >= 5.0
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Integrate kdevelop-php-docs into kdevelop-php: the -docs plugin is now
    provided as part of this source, so we can provide it from here; also,
    since the overhead of the -docs plugin and its translations is small,
    install them in kdevelop-php (and kdevelop-php-l10n)
    - provide kdevelop-php-docs and kdevelop-php-docs-l10n as transitional
      packages
    - make kdevelop-php-l10n break/replace kdevelop-php-docs-l10n < 5.0
  * Update install files.
  * Disable building of unit tests, as long as they are not run.
  * Bump kdevelop dependency in kdevelop-php to >= 5.0.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Wed, 31 Aug 2016 20:12:45 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,20 @@
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
            Andreas Cord-Landwehr <cola@uni-paderborn.de>
-Build-Depends: cmake (>= 2.8.0),
+Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               kdevelop-pg-qt (>= 1.0.0),
-               kdevplatform-dev (>= 1.7.3~),
-               pkg-kde-tools (>= 0.6.4)
+               extra-cmake-modules (>= 0.0.9),
+               qtbase5-dev,
+               libqt5webkit5-dev,
+               libkf5archive-dev,
+               libkf5i18n-dev,
+               libkf5itemmodels-dev,
+               libkf5kcmutils-dev,
+               libkf5texteditor-dev,
+               libkf5threadweaver-dev,
+               kdevelop-pg-qt (>= 2.0),
+               kdevplatform-dev (>= 5.0.3),
+               pkg-kde-tools (>= 0.15.16),
 Standards-Version: 3.9.8
 Homepage: http://www.kdevelop.org/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-std/kdevelop-php.git
@@ -17,7 +26,7 @@
 
 Package: kdevelop-php
 Architecture: any
-Depends: kdevelop (>= 4:4.7.0), ${misc:Depends}, ${shlibs:Depends}
+Depends: kdevelop (>= 4:5.0.1), ${misc:Depends}, ${shlibs:Depends}
 Suggests: kdevelop-php-l10n
 Enhances: kdevelop
 Description: PHP plugin for KDevelop
@@ -31,7 +40,8 @@
 Section: localization
 Architecture: all
 Depends: ${misc:Depends}
-Breaks: kdevelop-php-l10n-ca,
+Breaks: kdevelop-php-docs-l10n (<< 5.0),
+        kdevelop-php-l10n-ca,
         kdevelop-php-l10n-cavalencia,
         kdevelop-php-l10n-da,
         kdevelop-php-l10n-engb,
@@ -49,7 +59,8 @@
         kdevelop-php-l10n-uk,
         kdevelop-php-l10n-zhcn,
         kdevelop-php-l10n-zhtw
-Replaces: kdevelop-php-l10n-ca,
+Replaces: kdevelop-php-docs-l10n (<< 5.0),
+          kdevelop-php-l10n-ca,
           kdevelop-php-l10n-cavalencia,
           kdevelop-php-l10n-da,
           kdevelop-php-l10n-engb,
@@ -72,3 +83,23 @@
  for the KDevelop integrated development environment for KDE.
  .
  This  package contains the localizations for the KDevelop PHP plugin.
+
+Package: kdevelop-php-docs
+Architecture: all
+Section: oldlibs
+Priority: extra
+Depends: kdevelop-php (>= ${source:Version}), ${misc:Depends}
+Description: transitional package for kdevelop-php
+ This package is a transitional package to migrate to kdevelop-php.
+ .
+ It can be safely removed after the update.
+
+Package: kdevelop-php-docs-l10n
+Architecture: all
+Section: oldlibs
+Priority: extra
+Depends: kdevelop-php-l10n (>= ${source:Version}), ${misc:Depends}
+Description: transitional package for kdevelop-php-l10n
+ This package is a transitional package to migrate to kdevelop-php-l10n.
+ .
+ It can be safely removed after the update.

=== debian/watch ===
version=3
http://download.kde.org/stable/kdevelop/([\d.]+)/src/kdev-php-([\d.]+)\.tar\.xz

## kdevelop-php 5.0.4

=== debian/changelog ===
kdevelop-php (5.0.4-0ubuntu1) zesty; urgency=medium

  * New upstream buxfix release (5.0.4)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 15 Mar 2017 09:26:55 +0000

kdevelop-php (1.7.3-0ubuntu1) xenial; urgency=medium

  * Debian merge: No remaining changes. 
  * New upstream bugfix release.
  * Update watch file.
  * Release to Archive. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Sun, 06 Mar 2016 08:59:57 -0800

=== debian/control ===
--- 
+++ 
@@ -17,16 +17,16 @@
                libkf5texteditor-dev,
                libkf5threadweaver-dev,
                kdevelop-pg-qt (>= 2.0),
-               kdevplatform-dev (>= 5.0.3),
+               kdevplatform-dev (>= 5.0.4),
                pkg-kde-tools (>= 0.15.16),
 Standards-Version: 3.9.8
 Homepage: http://www.kdevelop.org/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-std/kdevelop-php.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-std/kdevelop-php.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-php
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-php
 
 Package: kdevelop-php
 Architecture: any
-Depends: kdevelop (>= 4:5.0.1), ${misc:Depends}, ${shlibs:Depends}
+Depends: kdevelop (>= 4:5.0.4), ${misc:Depends}, ${shlibs:Depends}
 Suggests: kdevelop-php-l10n
 Enhances: kdevelop
 Description: PHP plugin for KDevelop

## kdevelop-php 5.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,15 @@
-PROJECT(php)
+cmake_minimum_required(VERSION 2.8.12)
+
+project(php)
 
 set(KDEVPHP_VERSION_MAJOR 5)
-set(KDEVPHP_VERSION_MINOR 0)
-set(KDEVPHP_VERSION_PATCH 3)
+set(KDEVPHP_VERSION_MINOR 1)
+set(KDEVPHP_VERSION_PATCH 2)
 # KDevplatform dependency version
 set( KDEVPLATFORM_VERSION "${KDEVPHP_VERSION_MAJOR}.${KDEVPHP_VERSION_MINOR}.${KDEVPHP_VERSION_PATCH}" )
 
 configure_file( "${php_SOURCE_DIR}/kdevphpversion.h.cmake" "${php_BINARY_DIR}/kdevphpversion.h" @ONLY )
 
-cmake_minimum_required(VERSION 2.8.12)
 find_package (ECM 0.0.9 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
 
@@ -24,9 +25,12 @@
 find_package(KDevPlatform ${KDEVPLATFORM_VERSION} REQUIRED)
 find_package(KDevelop-PG-Qt REQUIRED)
 
+if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wdocumentation")
+endif()
+
 add_definitions( -DKDE_DEFAULT_DEBUG_AREA=9043 )
 add_definitions( -DTRANSLATION_DOMAIN=\"kdevphp\" )
-
 
 include_directories(
     ${KDEVPGQT_INCLUDE_DIR}
@@ -64,5 +68,7 @@
 # not writeable so that the refactoring actions get hidden
 install(FILES phpfunctions.php DESTINATION ${DATA_INSTALL_DIR}/kdevphpsupport PERMISSIONS OWNER_READ GROUP_READ WORLD_READ)
 
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
+
 find_package(KF5I18n CONFIG REQUIRED)
 ki18n_install(po)

=== debian/changelog ===
kdevelop-php (5.1.2-1ubuntu1) artful; urgency=medium

  * New upstream bugfix release (5.1.2)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 30 Aug 2017 00:21:10 +0100

kdevelop-php (5.1.1-1ubuntu1) artful; urgency=medium

  * Merge with debian. Remaining changes
    - Lintian override on postinst-must-call-ldconfig

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 06 Jul 2017 23:34:44 +0100

kdevelop-php (5.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the kdevplatform-dev build dependency to 5.1.1, as indicated by the
    upstream build system.
  * Bump the kdevelop dependency to 5.1.1.
  * Update install files.
  * Bump Standards-Version to 4.0.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Thu, 06 Jul 2017 12:06:16 +0200

kdevelop-php (5.1.1-0ubuntu1) artful; urgency=medium

  * New upstream release (5.1.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 27 May 2017 14:37:30 +0100

kdevelop-php (5.1.0-0ubuntu1) artful; urgency=medium

  * New upstream release (5.1.0.)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 22 Apr 2017 22:36:10 +0100

kdevelop-php (5.0.3-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release (5.0.2)
  * Updated VCS to point to LaunchPad git repo
  * Removed merge marker in changelog
  * Changed standards to 2.8.6 to be compat with xenial
  * Added lintian override for
    kdevelop-php: postinst-must-call-ldconfig
  * Update Vcs-Git fields to use https:// instead of git://
  * New upstream release (5.0.3)
  * Wild card plugin versions as per kfunk suggestion

 -- Clive Johnston <clivejo@kubuntu.org>  Sat, 29 Oct 2016 19:49:27 +0100

=== debian/control ===
--- 
+++ 
@@ -17,16 +17,16 @@
                libkf5texteditor-dev,
                libkf5threadweaver-dev,
                kdevelop-pg-qt (>= 2.0),
-               kdevplatform-dev (>= 5.0.4),
+               kdevplatform-dev (>= 5.1.2),
                pkg-kde-tools (>= 0.15.16),
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://www.kdevelop.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-php
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-php
 
 Package: kdevelop-php
 Architecture: any
-Depends: kdevelop (>= 4:5.0.4), ${misc:Depends}, ${shlibs:Depends}
+Depends: kdevelop (>= 4:5.1.2), ${misc:Depends}, ${shlibs:Depends}
 Suggests: kdevelop-php-l10n
 Enhances: kdevelop
 Description: PHP plugin for KDevelop

## kdevelop-php 5.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,27 +1,29 @@
-cmake_minimum_required(VERSION 2.8.12)
-
+cmake_minimum_required(VERSION 3.0)
 project(php)
 
 set(KDEVPHP_VERSION_MAJOR 5)
-set(KDEVPHP_VERSION_MINOR 1)
-set(KDEVPHP_VERSION_PATCH 2)
+set(KDEVPHP_VERSION_MINOR 2)
+set(KDEVPHP_VERSION_PATCH 1)
 # KDevplatform dependency version
 set( KDEVPLATFORM_VERSION "${KDEVPHP_VERSION_MAJOR}.${KDEVPHP_VERSION_MINOR}.${KDEVPHP_VERSION_PATCH}" )
 
 configure_file( "${php_SOURCE_DIR}/kdevphpversion.h.cmake" "${php_BINARY_DIR}/kdevphpversion.h" @ONLY )
 
-find_package (ECM 0.0.9 REQUIRED NO_MODULE)
+find_package (ECM "5.14.0" REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
 
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMAddTests)
+include(ECMQtDeclareLoggingCategory)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(GenerateExportHeader)
 include(FeatureSummary)
 
-find_package(Qt5 REQUIRED Core Widgets Test WebKitWidgets)
-find_package(KF5 REQUIRED COMPONENTS Archive ThreadWeaver TextEditor I18n ItemModels KCMUtils)
+set(QT_MIN_VERSION "5.5.0")
+find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core Widgets Test)
+set(KF5_DEP_VERSION "5.15.0")
+find_package(KF5 ${KF5_DEP_VERSION} REQUIRED COMPONENTS Archive ThreadWeaver TextEditor I18n ItemModels KCMUtils)
 find_package(KDevPlatform ${KDEVPLATFORM_VERSION} REQUIRED)
 find_package(KDevelop-PG-Qt REQUIRED)
 
@@ -47,9 +49,13 @@
     phplanguagesupport.cpp
     phpparsejob.cpp
     phphighlighting.cpp
-    phpdebug.cpp
 
     codegen/refactoring.cpp
+)
+ecm_qt_declare_logging_category(kdevphplanguagesupport_PART_SRCS
+    HEADER phpdebug.h
+    IDENTIFIER PHP
+    CATEGORY_NAME "kdevelop.languages.php"
 )
 
 kdevplatform_add_plugin(kdevphplanguagesupport JSON kdevphpsupport.json
@@ -68,6 +74,9 @@
 # not writeable so that the refactoring actions get hidden
 install(FILES phpfunctions.php DESTINATION ${DATA_INSTALL_DIR}/kdevphpsupport PERMISSIONS OWNER_READ GROUP_READ WORLD_READ)
 
+# kdebugsettings file
+install(FILES kdevphpsupport.categories DESTINATION ${KDE_INSTALL_CONFDIR})
+
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 find_package(KF5I18n CONFIG REQUIRED)

=== completion/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,6 @@
-add_subdirectory(tests)
+if (BUILD_TESTING)
+    add_subdirectory(tests)
+endif()
 
 set(completion_SRCS
     worker.cpp
@@ -10,7 +12,11 @@
     model.cpp
     helpers.cpp
     codemodelitem.cpp
-    completiondebug.cpp
+)
+ecm_qt_declare_logging_category(completion_SRCS
+    HEADER completiondebug.h
+    IDENTIFIER COMPLETION
+    CATEGORY_NAME "kdevelop.languages.php.completion"
 )
 
 add_library( kdevphpcompletion SHARED ${completion_SRCS} )

=== docs/CMakeLists.txt ===
########## shared settings ##########
set(kdevphpdocs_settings_SRCS
)

kconfig_add_kcfg_files( kdevphpdocs_settings_SRCS phpdocssettings.kcfgc )

########## Documentation Plugin #####

set(kdevphpdocs_SRCS
    phpdocumentationwidget.cpp
    phpdocumentation.cpp
    phpdocsplugin.cpp
    phpdocsmodel.cpp
    ${kdevphpdocs_settings_SRCS}
)
ecm_qt_declare_logging_category(kdevphpdocs_SRCS
    HEADER phpdocsdebug.h
    IDENTIFIER DOCS
    CATEGORY_NAME "kdevelop.languages.php.docs"
)

kdevplatform_add_plugin(kdevphpdocs JSON kdevphpdocs.json
    SOURCES ${kdevphpdocs_SRCS})
target_link_libraries(kdevphpdocs
    KDev::Interfaces
    KDev::Language
    KDev::Documentation
    KF5::KCMUtils
)

### Configuration module for PHP documentation plugin

set(kcm_kdevphpdocs_SRCS
    phpdocsconfig.cpp
    ${kdevphpdocs_settings_SRCS}
)

ki18n_wrap_ui(kcm_kdevphpdocs_SRCS phpdocsconfig.ui)

add_library( kcm_kdevphpdocs MODULE ${kcm_kdevphpdocs_SRCS} )
target_link_libraries( kcm_kdevphpdocs
    KF5::ConfigWidgets
    KF5::KIOWidgets
    KF5::I18n
    KF5::KCMUtils
)

configure_file(kcm_kdevphpdocs.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/kcm_kdevphpdocs.desktop)
kcoreaddons_desktop_to_json(kcm_kdevphpdocs ${CMAKE_CURRENT_BINARY_DIR}/kcm_kdevphpdocs.desktop)
install( TARGETS kcm_kdevphpdocs DESTINATION ${PLUGIN_INSTALL_DIR}/kdevplatform/${KDEV_PLUGIN_VERSION}/kcm )
install( FILES ${CMAKE_CURRENT_BINARY_DIR}/kcm_kdevphpdocs.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

=== duchain/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_BINARY_DIR})
if (BUILD_TESTING)
    add_subdirectory(tests)
endif()

set(duchain_SRCS
    types/indexedcontainer.cpp
    types/integraltypeextended.cpp
    types/structuretype.cpp
    builders/predeclarationbuilder.cpp
    builders/declarationbuilder.cpp
    builders/contextbuilder.cpp
    builders/usebuilder.cpp
    builders/typebuilder.cpp
    editorintegrator.cpp
    dumptypes.cpp
    expressionvisitor.cpp
    expressionparser.cpp
    expressionevaluationresult.cpp
    helper.cpp
    phpducontext.cpp
    declarations/variabledeclaration.cpp
    declarations/classmethoddeclaration.cpp
    declarations/classdeclaration.cpp
    declarations/functiondeclaration.cpp
    declarations/namespacedeclaration.cpp
    declarations/namespacealiasdeclaration.cpp
    declarations/traitmethodaliasdeclaration.cpp
    declarations/traitmemberaliasdeclaration.cpp
    navigation/navigationwidget.cpp
    navigation/declarationnavigationcontext.cpp
    navigation/includenavigationcontext.cpp
    navigation/magicconstantnavigationcontext.cpp
    completioncodemodel.cpp
)
ecm_qt_declare_logging_category(duchain_SRCS
    HEADER duchaindebug.h
    IDENTIFIER DUCHAIN
    CATEGORY_NAME "kdevelop.languages.php.duchain"
)

add_library( kdevphpduchain SHARED ${duchain_SRCS} )

generate_export_header(kdevphpduchain EXPORT_MACRO_NAME KDEVPHPDUCHAIN_EXPORT
                                       EXPORT_FILE_NAME phpduchainexport.h)

target_link_libraries(kdevphpduchain LINK_PRIVATE
    KDev::Interfaces
    KDev::Language
    KDev::Shell
    KDev::Project
    kdevphpparser
)

install(TARGETS kdevphpduchain DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS})

=== parser/CMakeLists.txt ===
if (BUILD_TESTING)
    add_subdirectory(test)
endif()

set(parser_STAT_SRCS
    phplexer.cpp
    parsesession.cpp
)

kdevpgqt_generate(parser_SRCS php NAMESPACE Php DEBUG_VISITOR TOKEN_TEXT
    "${php_SOURCE_DIR}/parser/php.g"
    "${php_SOURCE_DIR}/parser/phplexer.h"
)
ecm_qt_declare_logging_category(parser_SRCS
    HEADER parserdebug.h
    IDENTIFIER PARSER
    CATEGORY_NAME "kdevelop.languages.php.parser"
)

add_library(kdevphpparser SHARED ${parser_SRCS} ${parser_STAT_SRCS})

generate_export_header(kdevphpparser EXPORT_MACRO_NAME KDEVPHPPARSER_EXPORT
                                      EXPORT_FILE_NAME parserexport.h)
target_link_libraries(kdevphpparser LINK_PRIVATE
    KDev::Language
    KF5::I18n
)

# hack to make phpdebugvisitor.h (generated at compile time)
# use the correct EXPORT tags when compiling in MinGW
if (MINGW)
    add_definitions(-DMAKE_KDEV4PHPPARSER_LIB)
endif (MINGW)

if (BUILD_TESTING)
    add_executable(php-parser main.cpp)
    target_link_libraries(php-parser
        KDev::Tests
        KDev::Language
        kdevphpparser
    )
endif()

install(TARGETS kdevphpparser DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS})

=== testprovider/CMakeLists.txt ===
########### next target ###############

set(kdevphpunitprovider_PLUGIN_SRCS
    phpunitprovider.cpp
    phpunittestsuite.cpp
    phpunitrunjob.cpp
    testdoxdelegate.cpp
)
ecm_qt_declare_logging_category(kdevphpunitprovider_PLUGIN_SRCS
    HEADER testproviderdebug.h
    IDENTIFIER TESTPROVIDER
    CATEGORY_NAME "kdevelop.languages.php.testprovider"
)

add_library(kdevphpunitprovider MODULE ${kdevphpunitprovider_PLUGIN_SRCS})

target_link_libraries(kdevphpunitprovider LINK_PRIVATE
    KDev::Interfaces
    KDev::Language
    KDev::Project
    KDev::OutputView
    KDev::Util
)

install(TARGETS kdevphpunitprovider DESTINATION ${PLUGIN_INSTALL_DIR}/kdevplatform/${KDEV_PLUGIN_VERSION} )

########### install files ###############

configure_file(kdevphpunitprovider.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdevphpunitprovider.desktop)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kdevphpunitprovider.desktop DESTINATION ${SERVICES_INSTALL_DIR})

install( FILES phpunitdeclarations.php DESTINATION ${DATA_INSTALL_DIR}/kdevphpsupport )

=== debian/changelog ===
kdevelop-php (5.2.1-1ubuntu2) bionic; urgency=medium

  * Actually include the transitional packages that should have been in
    last upload

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 04 Dec 2017 01:40:45 +0000

kdevelop-php (5.2.1-1ubuntu1) bionic; urgency=medium

  * Sync with debian; remaining changes
    - Transitional packages for 16.04's kdevelop-php-docs-l10n and
      kdevelop-php-docs. Drop after 18.04.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 09:11:25 +0000

kdevelop-php (5.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.2.1, as indicated by the
    upstream build system.

 -- Pino Toscano <pino@debian.org>  Tue, 28 Nov 2017 07:20:27 +0100

kdevelop-php (5.2.0-2) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Update uploaders list as requested by MIA team (Closes: #879335)

 -- Pino Toscano <pino@debian.org>  Wed, 22 Nov 2017 19:40:43 +0100

kdevelop-php (5.2.0-1ubuntu1) bionic; urgency=medium

  * Add back transitional packages for 16.04's kdevelop-php-docs-l10n 
    and kdevelop-php-docs, dropped in error with last sync.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 18 Nov 2017 21:11:48 +0000

kdevelop-php (5.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch the kdevplatform-dev build dependency to kdevelop-dev, following
    the kdevplatform merge in kdevelop.
  * Change other build dependencies according to the upstream build system:
    - bump cmake to >= 3.0
    - bump qtbase-dev to >= 5.5.0
    - bump ECM and Frameworks to >= 5.15.0
    - drop libqt5webkit5-dev, no more required
  * Update install files.
  * Switch the watch file to https.
  * Switch Homepage to https.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Turn the versioned kdevelop dependency into a simple recommend, as it
    should be enough.

 -- Pino Toscano <pino@debian.org>  Fri, 17 Nov 2017 14:25:18 +0100

kdevelop-php (5.1.2-2) unstable; urgency=medium

  * Team upload.
  * Drop the transitional packages kdevelop-php-docs & kdevelop-php-docs-l10n.
  * Bump the kdevelop dependency to 5.1.2.
  * Drop the breaks/replaces in kdevelop-php-l10n against the old
    kdevelop-php-l10n-* packages, since they are long gone.

 -- Pino Toscano <pino@debian.org>  Thu, 14 Sep 2017 07:47:28 +0200

kdevelop-php (5.1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.1.0, no changes required.
  * Bump the kdevplatform-dev build dependency to 5.1.2, as indicated by the
    upstream build system.

 -- Pino Toscano <pino@debian.org>  Tue, 29 Aug 2017 21:13:13 +0200

=== debian/control ===
Source: kdevelop-php
Section: devel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>,
           Andreas Cord-Landwehr <cola@uni-paderborn.de>,
Build-Depends: cmake (>= 3.0),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.15.0),
               qtbase5-dev (>= 5.5.0),
               libkf5archive-dev (>= 5.15.0),
               libkf5i18n-dev (>= 5.15.0),
               libkf5itemmodels-dev (>= 5.15.0),
               libkf5kcmutils-dev (>= 5.15.0),
               libkf5texteditor-dev (>= 5.15.0),
               libkf5threadweaver-dev (>= 5.15.0),
               kdevelop-dev (>= 4:5.2.1),
               kdevelop-pg-qt (>= 2.0),
               pkg-kde-tools (>= 0.15.16),
Standards-Version: 4.1.1
Homepage: https://www.kdevelop.org/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-std/kdevelop-php.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-std/kdevelop-php.git

Package: kdevelop-php
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kdevelop
Suggests: kdevelop-php-l10n
Enhances: kdevelop
Description: PHP plugin for KDevelop
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 This package contains the PHP language support plugin.

Package: kdevelop-php-l10n
Section: localization
Architecture: all
Depends: ${misc:Depends}
Breaks: kdevelop-php-docs-l10n (<< 5.0),
Replaces: kdevelop-php-docs-l10n (<< 5.0),
Description: localization files for KDevelop PHP plugin
 The KDevelop-PHP plugin is the language plugin for the PHP language
 for the KDevelop integrated development environment for KDE.
 .
 This  package contains the localizations for the KDevelop PHP plugin.

Package: kdevelop-php-docs
Architecture: all
Section: oldlibs
Priority: extra
Depends: kdevelop-php (>= ${source:Version}), ${misc:Depends}
Description: transitional package for kdevelop-php
 This package is a transitional package to migrate to kdevelop-php.
 .
 It can be safely removed after the update.

Package: kdevelop-php-docs-l10n
Architecture: all
Section: oldlibs
Priority: extra
Depends: kdevelop-php-l10n (>= ${source:Version}), ${misc:Depends}
Description: transitional package for kdevelop-php-l10n
 This package is a transitional package to migrate to kdevelop-php-l10n.
 .
 It can be safely removed after the update.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,10 @@
 export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
 
 %:
-	dh $@ --parallel --list-missing --with kde
+	dh $@ --parallel --list-missing --with kf5
+
+override_dh_auto_configure:
+	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='kdevelop-php-dbg (<< 1.7.3-3~)'

=== debian/watch ===
version=3
https://download.kde.org/stable/kdevelop/([\d.]+)/src/kdev-php-([\d.]+)\.tar\.xz

## kdevelop-php 5.2.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 set(KDEVPHP_VERSION_MAJOR 5)
 set(KDEVPHP_VERSION_MINOR 2)
-set(KDEVPHP_VERSION_PATCH 1)
+set(KDEVPHP_VERSION_PATCH 4)
 # KDevplatform dependency version
 set( KDEVPLATFORM_VERSION "${KDEVPHP_VERSION_MAJOR}.${KDEVPHP_VERSION_MINOR}.${KDEVPHP_VERSION_PATCH}" )
 
@@ -74,6 +74,8 @@
 # not writeable so that the refactoring actions get hidden
 install(FILES phpfunctions.php DESTINATION ${DATA_INSTALL_DIR}/kdevphpsupport PERMISSIONS OWNER_READ GROUP_READ WORLD_READ)
 
+install(FILES org.kde.kdev-php.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
+
 # kdebugsettings file
 install(FILES kdevphpsupport.categories DESTINATION ${KDE_INSTALL_CONFDIR})

=== debian/changelog ===
kdevelop-php (5.2.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.2.4, as indicated by the
    upstream build system.
  * Bump Standards-Version to 4.2.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 21 Aug 2018 22:31:52 +0200

kdevelop-php (5.2.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the kdevelop-dev build dependency to 5.2.3, as indicated by the
    upstream build system.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Update install files.
  * Bump Standards-Version to 4.1.4, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 22 May 2018 07:48:47 +0200

=== debian/control ===
Source: kdevelop-php
Section: devel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>,
           Andreas Cord-Landwehr <cola@uni-paderborn.de>,
Build-Depends: cmake (>= 3.0),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.15.0),
               qtbase5-dev (>= 5.5.0),
               libkf5archive-dev (>= 5.15.0),
               libkf5i18n-dev (>= 5.15.0),
               libkf5itemmodels-dev (>= 5.15.0),
               libkf5kcmutils-dev (>= 5.15.0),
               libkf5texteditor-dev (>= 5.15.0),
               libkf5threadweaver-dev (>= 5.15.0),
               kdevelop-dev (>= 4:5.2.4),
               kdevelop-pg-qt (>= 2.0),
               pkg-kde-tools (>= 0.15.16),
Standards-Version: 4.2.0
Homepage: https://www.kdevelop.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdevelop-php
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kdevelop-php.git

Package: kdevelop-php
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kdevelop
Suggests: kdevelop-php-l10n
Enhances: kdevelop
Description: PHP plugin for KDevelop
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 This package contains the PHP language support plugin.

Package: kdevelop-php-l10n
Section: localization
Architecture: all
Depends: ${misc:Depends}
Breaks: kdevelop-php-docs-l10n (<< 5.0),
Replaces: kdevelop-php-docs-l10n (<< 5.0),
Description: localization files for KDevelop PHP plugin
 The KDevelop-PHP plugin is the language plugin for the PHP language
 for the KDevelop integrated development environment for KDE.
 .
 This  package contains the localizations for the KDevelop PHP plugin.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
 
 %:
-	dh $@ --parallel --list-missing --with kf5
+	dh $@ --list-missing --with kf5
 
 override_dh_auto_configure:
 	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

## kdevelop-php 5.3.1

=== completion/CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 ecm_qt_declare_logging_category(completion_SRCS
     HEADER completiondebug.h
     IDENTIFIER COMPLETION
-    CATEGORY_NAME "kdevelop.languages.php.completion"
+    CATEGORY_NAME "kdevelop.plugins.php.completion"
 )
 
 add_library( kdevphpcompletion SHARED ${completion_SRCS} )
@@ -31,4 +31,4 @@
     kdevphpparser
 )
 
-install(TARGETS kdevphpcompletion DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS})
+install(TARGETS kdevphpcompletion EXPORT KDevPHPTargets DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kdevelop-php (5.3.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Thu, 20 Dec 2018 22:35:37 +0100

kdevelop-php (5.3.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.3.1, as indicated by the
    upstream build system.

 -- Pino Toscano <pino@debian.org>  Tue, 18 Dec 2018 21:02:59 +0100

kdevelop-php (5.3.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.3.0, as indicated by the
    upstream build system.
  * Update install files.
  * Make sure to not ship the development files, not needed for now.
  * Bump Standards-Version to 4.2.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 18 Nov 2018 07:55:48 +0100

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,12 @@
 override_dh_auto_configure:
 	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF
 
+override_dh_auto_install:
+	dh_auto_install
+	# do not ship the development stuff for now
+	rm -rf debian/tmp/usr/include/
+	rm -rf debian/tmp/usr/lib/*/cmake/
+
 override_dh_strip:
 	dh_strip --dbgsym-migration='kdevelop-php-dbg (<< 1.7.3-3~)'
